server:
  port: 8080

spring:
  application:
    name: ims-demo

# Knife4j / SpringDoc OpenAPI 配置
springdoc:
  swagger-ui:
    path: /swagger-ui/index.html
  api-docs:
    path: /v3/api-docs
  packages-to-scan: com.example.demo.controller

knife4j:
  enable: true
  setting:
    language: zh-CN
    enable-swagger-models: true
    enable-document-manage: true
    swagger-model-name: 信息管理系统接口模型
    enable-version: true
    enable-relational-cache: false
    enable-after-script: false
    enable-filter-multipart-api: false
    enable-footer-custom: true
    footer-custom-content: Copyright © 2024 IMS Demo
